# QVM: Quaternions, Vectors, Matrices

### boost/qvm/deduce_mat.hpp

### Synopsis:

#include <boost/qvm/deduce_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <
                class M,
                int Rows=mat_traits<Matrix>::rows,
                int Cols=mat_traits<Matrix>::cols>
            struct deduce_mat
            {
                typedef /*unspecified*/ type;
            };

            template <class A,class B,int Rows,int Cols>
            struct deduce_mat2
            {
                typedef /*unspecified*/ type;
            };
        }
    }

See also: deduce_mat | deduce_mat2